org.gjt.sp.jedit.textarea

## Class StandaloneTextArea.StandaloneActionSet

- java.lang.Object
- - org.gjt.sp.jedit.JEditActionSet<JEditBeanShellAction>
  - - org.gjt.sp.jedit.textarea.StandaloneTextArea.StandaloneActionSet

All Implemented Interfaces:
  InputHandlerProvider

Enclosing class:
  StandaloneTextArea

    protected static class StandaloneTextArea.StandaloneActionSet
    extends JEditActionSet<JEditBeanShellAction>

The actionSet for standalone textArea.

### Field Summary

### Fields inherited from class org.gjt.sp.jedit.JEditActionSet

`actions, loaded, placeholder, uri`

### Constructor Summary

Constructors
Constructor and Description
`StandaloneTextArea.StandaloneActionSet(IPropertyManager iPropertyManager, TextArea textArea, java.net.URL url)`

### Method Summary

Methods
`protected JEditBeanShellAction` `createBeanShellAction(java.lang.String actionName, java.lang.String code, java.lang.String selected, boolean noRepeat, boolean noRecord, boolean noRememberLast)` This method should be implemented to return an action that will execute the given code
`protected JEditBeanShellAction[]` `getArray(int size)` Returns an empty array E[].
`AbstractInputHandler` `getInputHandler()`
`protected java.lang.String` `getProperty(java.lang.String name)` Returns a property for the given name.

### Methods inherited from class org.gjt.sp.jedit.JEditActionSet

`addAction, contains, getAction, getActionCount, getActionNames, getActions, getCacheableActionNames, initKeyBindings, load, removeAction, removeAllActions, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandaloneTextArea.StandaloneActionSet

    public StandaloneTextArea.StandaloneActionSet(IPropertyManager iPropertyManager,
                                          TextArea textArea,
                                          java.net.URL url)

### Method Detail

#### getArray

    protected JEditBeanShellAction[] getArray(int size)

Description copied from class: `JEditActionSet`
Returns an empty array E[]. I know it is bad, if you find a method to instantiate a generic Array, tell me

Specified by:
  `getArray` in class `JEditActionSet<JEditBeanShellAction>`
Parameters:
  `size` - the size of the array
Returns:
  the empty array

#### getProperty

    protected java.lang.String getProperty(java.lang.String name)

Description copied from class: `JEditActionSet`
Returns a property for the given name. In jEdit it will returns a jEdit.getProperty(name), but it can return something else for a standalone textarea.

Specified by:
  `getProperty` in class `JEditActionSet<JEditBeanShellAction>`
Parameters:
  `name` - the property name
Returns:
  the property value

#### getInputHandler

    public AbstractInputHandler getInputHandler()

#### createBeanShellAction

    protected JEditBeanShellAction createBeanShellAction(java.lang.String actionName,
                                             java.lang.String code,
                                             java.lang.String selected,
                                             boolean noRepeat,
                                             boolean noRecord,
                                             boolean noRememberLast)

Description copied from class: `JEditActionSet`
This method should be implemented to return an action that will execute the given code

Specified by:
  `createBeanShellAction` in class `JEditActionSet<JEditBeanShellAction>`